%define upstream_name    Module-Build
%define upstream_version 0.4232

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Build and install Perl modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Module-Build-fix-shebang.diff
Patch1:     Module-Build-fix-shebang--test.diff

BuildRequires: perl(CPAN::Meta) >= 2.142.60
BuildRequires: perl(CPAN::Meta::YAML) >= 0.3.0
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::Install)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(ExtUtils::Mkbootstrap)
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(File::Temp) >= 0.150.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Metadata) >= 1.0.2
BuildRequires: perl(Parse::CPAN::Meta) >= 1.440.100
BuildRequires: perl(Perl::OSType) >= 1.0.0
BuildRequires: perl(TAP::Harness) >= 3.290.0
BuildRequires: perl(Test::More) >= 0.490.0
BuildRequires: perl(Text::Abbrev)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(version) >= 0.870.0
BuildRequires: perl-devel
# (tv) this is a soft dep (require instead of use); w/o it some builds failed with
# "Module::Build is not configured with C_support":
BuildArch:  noarch

Recommends: perl-ExtUtils-CBuilder

%description
Module::Build is a system for building, testing, and installing Perl modules.
It is meant to be a replacement for ExtUtils::MakeMaker. Developers may alter
the behavior of the module through subclassing in a much more straightforward
way than with MakeMaker. It also does not require a make on your system - most
of the Module::Build code is pure-perl and written in a very cross-platform
way. In fact, you don't even need a shell, so even platforms like MacOS
(traditional) can use it fairly easily. Its only prerequisites are modules that
are included with perl 5.6.0, and it works fine on perl 5.005 if you can
install a few additional modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Wed Dec 14 2022 tv <tv> 1:0.423.200-1.mga9
+ Revision: 1922210
- update to 0.4232

* Mon Mar 21 2022 umeabot <umeabot> 1:0.423.100-3.mga9
+ Revision: 1812326
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 1:0.423.100-2.mga8
+ Revision: 1546074
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 1:0.423.100-1.mga8
+ Revision: 1485851
- update to 0.4231

* Wed Apr 17 2019 shlomif <shlomif> 1:0.422.900-1.mga7
+ Revision: 1392499
- update to 0.4229

* Thu Sep 20 2018 umeabot <umeabot> 1:0.422.400-2.mga7
+ Revision: 1284776
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 shlomif <shlomif> 1:0.422.400-1.mga7
+ Revision: 1131696
- New version 0.4224

* Wed Apr 26 2017 neoclust <neoclust> 1:0.421.800-3.mga6
+ Revision: 1097424
- Add P1 - Fixes CVE-2016-1238 (mga#19051)

* Sun Jun 19 2016 pterjan <pterjan> 1:0.421.800-2.mga6
+ Revision: 1029908
- Rebuild for perl 5.22.2

* Sat Apr 30 2016 shlomif <shlomif> 1:0.421.800-1.mga6
+ Revision: 1008082
- update to 0.4218

* Fri Apr 15 2016 shlomif <shlomif> 1:0.421.600-1.mga6
+ Revision: 1002141
- update to 0.4216

* Thu Feb 18 2016 umeabot <umeabot> 1:0.421.400-2.mga6
+ Revision: 967324
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1:0.421.400-1.mga6
+ Revision: 848704
- update to 0.4214

* Sun Oct 19 2014 umeabot <umeabot> 1:0.421.0-5.mga5
+ Revision: 789828
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:0.421.0-4.mga5
+ Revision: 747048
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 jquelin <jquelin> 1:0.421.0-3.mga5
+ Revision: 731986
- perl 5.20.1 rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.421.0-2.mga5
+ Revision: 685410
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Sep 01 2014 sander85 <sander85> 1:0.421.0-1.mga5
+ Revision: 670588
- update to 0.4210

* Tue Aug 19 2014 sander85 <sander85> 1:0.420.800-1.mga5
+ Revision: 665429
- update to 0.4208

* Sat Aug 16 2014 sander85 <sander85> 1:0.420.700-1.mga5
+ Revision: 664389
- update to 0.4207

* Tue Jul 15 2014 sander85 <sander85> 1:0.420.600-1.mga5
+ Revision: 652992
- update to 0.4206

* Fri Jun 06 2014 jquelin <jquelin> 1:0.420.500-2.mga5
+ Revision: 634033
- perl 5.20 rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1:0.420.500-1.mga5
+ Revision: 588203
- update to 0.4205

* Mon Feb 10 2014 jquelin <jquelin> 1:0.420.400-3.mga5
+ Revision: 587902
- rebuild after perl 5.18.2

* Thu Feb 06 2014 sander85 <sander85> 1:0.420.400-2.mga5
+ Revision: 584472
- Rebuild for new perl

* Tue Feb 04 2014 shlomif <shlomif> 1:0.420.400-1.mga5
+ Revision: 581275
- update to 0.4204

* Sat Oct 19 2013 umeabot <umeabot> 1:0.400.700-3.mga4
+ Revision: 532873
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 sander85 <sander85> 1:0.400.700-2.mga4
+ Revision: 470189
- Rebuild for new perl

* Sun Jul 21 2013 sander85 <sander85> 1:0.400.700-1.mga4
+ Revision: 456964
- update to 0.4007
- rediff patch0

* Mon Jun 03 2013 jquelin <jquelin> 1:0.400.500-1.mga4
+ Revision: 436410
- update to 0.4005

* Sun Jan 13 2013 umeabot <umeabot> 1:0.400.300-4.mga3
+ Revision: 369760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1:0.400.300-3.mga3
+ Revision: 315487
- perl 5.16.2 rebuild

* Tue Sep 04 2012 tv <tv> 1:0.400.300-2.mga3
+ Revision: 288231
- fix testsuie
- stop replacing "!/usr/bin/perl" by "#!/usr/bin/perl5161"

* Fri Aug 31 2012 kharec <kharec> 1:0.400.300-1.mga3
+ Revision: 286337
- update to 0.4003

* Fri Aug 24 2012 jquelin <jquelin> 1:0.400.100-3.mga3
+ Revision: 283625
- perl 5.16.1 rebuild

* Fri Aug 24 2012 jquelin <jquelin> 1:0.400.100-2.mga3
+ Revision: 283544
- perl 5.16.1 rebuild

* Mon Jul 02 2012 jquelin <jquelin> 1:0.400.100-1.mga3
+ Revision: 266674
- update to 0.4001

* Thu May 31 2012 jquelin <jquelin> 1:0.400.0-1.mga3
+ Revision: 252187
- update to 0.40
- fix %%files after rename
- fix script conflicts with perl
- remove old tarball reference

* Sun Jun 19 2011 jquelin <jquelin> 1:0.380.0-2.mga2
+ Revision: 109887
- rebuild script for perl 5.14.1

* Thu Mar 10 2011 jquelin <jquelin> 1:0.380.0-1.mga1
+ Revision: 67599
- new version 0.3800
- update to 0.3800

* Mon Jan 31 2011 jquelin <jquelin> 1:0.362.400-1.mga1
+ Revision: 45212
- adding missing buildrequires:
- update to 0.3624

* Wed Jan 19 2011 jquelin <jquelin> 1:0.360.700-1.mga1
+ Revision: 24268
- fix specs
- fix specs
- imported package perl-Module-Build

